Control Automation Schedule
POST
/api/automations/{automation_alias}/schedule/{action}
const url = 'https://example.com/api/automations/example/schedule/example';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/automations/example/schedule/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{}'Pause or resume the automation’s Databricks job schedule. action must be ‘pause’ or ‘resume’.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”automation_alias
required
Automation Alias
string
action
required
Action
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
AutomationScheduleActionRequest
For /automations/{alias}/schedule/{pause|resume}
object
Examplegenerated
{}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}